aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh')
-rw-r--r--sh/user-init.sh.in4
1 files changed, 3 insertions, 1 deletions
diff --git a/sh/user-init.sh.in b/sh/user-init.sh.in
index eaedc631..a438be55 100644
--- a/sh/user-init.sh.in
+++ b/sh/user-init.sh.in
@@ -1,5 +1,7 @@
#!@SHELL@
+. @LIBEXECDIR@/sh/functions.sh
+
sourcex()
{
if [ "$1" = "-e" ]; then
@@ -20,7 +22,7 @@ sourcex -e "$_sysconf/rc.conf"
case $1 in
start) _runlevel="${rc_user_runlevel:-default}";;
stop) _runlevel="${rc_user_shutdown_runlevel:-none}";;
- *) exit 1
+ *) eerror "no argument given to $0"r exit 1
esac
mkdir -p "$_sysconf/runlevels/$_runlevel"